
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>,
      me

drivers/pcmcia/rsrc_mgr.c: In function `find_io_region':
drivers/pcmcia/rsrc_mgr.c:604: warning: large integer implicitly truncated to unsigned type

We don't really know what underlying type an ioaddr_t has, so just use an
integer here and let the compiler promote it appropriately.


---

 25-akpm/drivers/pcmcia/rsrc_mgr.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pcmcia/rsrc_mgr.c~trivial-pcmcia-rsrc_mgrc-warning-fix drivers/pcmcia/rsrc_mgr.c
--- 25/drivers/pcmcia/rsrc_mgr.c~trivial-pcmcia-rsrc_mgrc-warning-fix	Mon Apr 12 16:11:20 2004
+++ 25-akpm/drivers/pcmcia/rsrc_mgr.c	Mon Apr 12 16:11:20 2004
@@ -601,7 +601,7 @@ int find_io_region(ioaddr_t *base, ioadd
 	int ret;
 
 	if (align == 0)
-		align = 0x10000UL;
+		align = 0x10000;
 
 	data.mask = align - 1;
 	data.offset = *base & data.mask;

_
